<html>
  <head>
    <title>Honzátko Borec - C++</title>
    <meta charset="UTF-8">
<link rel="icon" href="icon.png">
<style>
button {
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}
button:hover{
 background-color: #00cc00;
 
}
</style>
  </head>
  <body background="pozadi.jpg">
<b><big><big><big><center><font color="white">Honzátko.Borec.cz</center></big></big></big>
<a href="index.html"><button><img src="hm.png">DOMŮ</button></a><a href="str2.html"><button><img src="py.png">PYTHON</button></a><button>▶<img src="c++.png">C++◀</button><a href="str3.html"><button><img src="com.png">KOMENTÁŘE</button></a><a href="fit.html"><button><img src="fit.png">FITNESS</button></a><p>

Pro jazyk C++ použijeme kompilátor G++ ve Windows MinGW/G++.<br>
For programing language  C++ use compiler G++ in windows use MinGW/G++.<p>

Instalace/Setup:<p>

Windows:<br>
<a href="https://sourceforge.net/projects/mingw/files/Installer/mingw-get-setup.exe/download">https://sourceforge.net/projects/mingw/files/Installer/mingw-get-setup.exe/download</a><br>
Vyvojové/Developer studio: <a href="http://www.codeblocks.org/downloads/binaries">http://www.codeblocks.org/downloads/binaries</a>
<p>

Linux:<br>
Použij příkazy/Use commands(Oprávnění root je potřeba/Root acess required) - sudo apt get install gcc,sudo apt get install g++ <p>

Mac OS X:
Nepodporovaný systém/Not supported in this os.Ale jsou dostupné zdrojový kod programu/But are avaible source code for this program.

<p>
Základní stavba kodu/Basic building of code:<br>
<img src="basic.png"><p>

Hello World program:<br>
<img src="hlc++.png"><p>

Upozornění/Warning:<br>
Každá  syntaxe se musí ukončit středníkem ";"/Every syntax must be end with semicolon ";" !!!!!!<p>

Proměnné/Variables:<br>
<img src="variables-cp.png"><br>
Typy/Types:<br>
1.string - je určený pro text,nikoliv pro čísla/It is intended for text, not for numbers.<br>
2.integer(v kodu/in code int) - Je určený pro čísla,nikoliv pro text/It is intended for a numbers,not for text.<br>
INFO:Nemusíš psat text/číslo do proměnné/You don't have to write text/number to variable.<br>
Varovaní/Warning:Pro string musíš načíst knihovnu/For string you must load library "string"!




<p>
Input/Vstup Text:<br>
<img src="cp-cin.png"><br>
Pro Vstup použijeme příkaz/For Input use command  "cin >> nazev/name;".<br>
Varování/Warning:Pokud chceme použít proměnou tak nemuže být určena v žadné funkci ale na začátku kodu/If you would like to use variable so mustn't be in function but in beginning code!<p>

Funkce/Function While:<br>
<img src="while-c++.png"><br>
Funkce while určuje když něco je, například - 18 je menší jak 22/Function while determines while some is, for example - 18 is smaller than 22.<br>
Pro tuto funkci může použít opravdu cokoliv prostě jsi vyhrát.For this function we can use really any just win.
A všimněte jsi mode označeného textu/And you notice that blue selected text.<p>


Funkce/Functions:<br>
<img src="c++functions.png"><br>

Pro vlastní funkci(dělají se tak příkazy a knihovny) použijeme syntaxi void/For own function(doing so commands and libraries  with this) use syntax void<br>
Vlastní funkce musí být vždycky nad hlavní funkcí/Own function must be up the main function!!!







